Skip to main content
POST
/
workspace
/
{workspace_id}
/
table
Create a new database table with optional schema definition
curl --request POST \
  --url https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/table \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: text/x-xanoscript' \
  --data 'table book {
  schema {
    int id
    text title
    text description
  }
  index = [
    {type: "primary", field: [{name: "id"}]}
  ]
}
'
import requests

url = "https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/table"

payload = "table book {\n schema {\n int id\n text title\n text description\n }\n index = [\n {type: \"primary\", field: [{name: \"id\"}]}\n ]\n}\n"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "text/x-xanoscript"
}

response = requests.post(url, data=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'text/x-xanoscript'},
body: 'table book {\n schema {\n int id\n text title\n text description\n }\n index = [\n {type: "primary", field: [{name: "id"}]}\n ]\n}\n'
};

fetch('https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/table', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 1,
  "created_at": "2023-04-19 21:01:32+0000",
  "updated_at": "2023-04-19 21:01:32+0000",
  "name": "Test Database",
  "description": "My test database description",
  "docs": "Documentation",
  "guid": "YE1fwVhQ-enRlc6Sb42Gqru58-0",
  "auth": true,
  "tag": [
    "example tag"
  ],
  "xanoscript": {
    "value": "<string>",
    "message": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspace_id
integer<int64>
required

Query Parameters

include_xanoscript
boolean
default:false

Body

The body is of type string.

Example:

"table book {\n schema {\n int id\n text title\n text description\n }\n index = [\n {type: \"primary\", field: [{name: \"id\"}]}\n ]\n}\n"

Response

Success!

id
integer<int64>
default:1
created_at
string<timestamptz>
default:2023-04-19 21:01:32+0000
updated_at
string<timestamptz>
default:2023-04-19 21:01:32+0000
name
string
default:Test Database
description
string
default:My test database description
docs
string
default:Documentation
guid
string
default:YE1fwVhQ-enRlc6Sb42Gqru58-0
auth
boolean
default:true
tag
string[]
xanoscript
object